<script setup>
    import { Reception } from "~/adapters/reception.js";

    const props = defineProps ({
        receptionSchedule : {
            type: Reception
        },
        checkData : {
            type : Boolean,
            required: false,
            default: false
        }

    });

    function updateHours(day, value) {
        props.receptionSchedule[day].hours = value;
    }

</script>
<template>
    <div class="flex flex-row space-x-4">
        <FormReceptionDay :day="'Lundi'" :checkData="props.checkData" @hours="(value) => updateHours('monday', value)" />
        <FormReceptionDay :day="'Mardi'" :checkData="props.checkData" @hours="(value) => updateHours('tuesday', value)" />
        <FormReceptionDay :day="'Mercredi'" :checkData="props.checkData" @hours="(value) => updateHours('wednesday', value)" />
        <FormReceptionDay :day="'Jeudi'" :checkData="props.checkData" @hours="(value) => updateHours('thursday', value)" />
        <FormReceptionDay :day="'Vendredi'" :checkData="props.checkData" @hours="(value) => updateHours('friday', value)" />
        <FormReceptionDay :day="'Samedi'" :checkData="props.checkData" @hours="(value) => updateHours('saturday', value)" />
        <FormReceptionDay :day="'Dimanche'" :checkData="props.checkData" @hours="(value) => updateHours('sunday', value)" />
    </div>
</template>